microsoft-foundry.rest.security.o-auth2-auth
Skills
Retrieve a specific version of a skill
GET
/skills/{name}/versions/{version}
Retrieves the specified version of a skill by name and version identifier.
경로 매개 변수
name
string
필수
The name of the skill.
version
string
필수
The version identifier to retrieve.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
응답
The request has succeeded.
본문
Content-Type: application/json
id
string
필수
The unique identifier of the skill version.
skill_id
string
필수
The identifier of the parent skill.
name
string
필수
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
version
string
필수
The version identifier. Skill versions are immutable.
description
string
필수
A human-readable description of the skill version.
created_at
integer
필수
요청
GET /skills/{name}/versions/{version} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json